Bug Hunting Session
Bug 66204 - FORMATTING: Removing the highlighting from OLE Writer object leaves white character background
Summary: FORMATTING: Removing the highlighting from OLE Writer object leaves white cha...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Highlight-Color-Button
  Show dependency treegraph
 
Reported: 2013-06-26 13:11 UTC by Rob
Modified: 2017-09-03 00:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Draw file containing an example of the problem. (68.21 KB, application/vnd.oasis.opendocument.graphics)
2013-06-26 13:11 UTC, Rob
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob 2013-06-26 13:11:28 UTC
Created attachment 81472 [details]
Draw file containing an example of the problem.

Problem description: 
If a Writer document has had text highlighted and unhighlighted in the past, when the document is made an OLE object in Draw, the highlighted passages have a white background, not a transparent "No Fill" background.

Steps to reproduce:
1. Create new Writer document
2. Add a page of text
3. Highlight some areas of text with the highlighting tool (step not strictly necessary)
4. Unhighlight those areas of text with the highlighting tool
5. Save document
6. Close document
7. Open Draw
8. Create large square shape object over page, the default blue is fine.
9. Insert OLE Object, find the Writer file
10. Areas which were unhighlighted have white background against the blue box, not transparent like the rest of the text.

Problem can also be demonstrated by using the unhighlighting tool on text in the Writer OLE object in the Draw document.

Current behavior:
Unhighlighted text has white background

Expected behavior:
Unhighlighted text should have transparent (No Fill) background
              
Operating System: Ubuntu
Version: 4.0.3.3 release
Comment 1 retired 2013-07-03 14:25:03 UTC
Can confirm this on OS X 10.8.4, LO 4.1.0.1.
Setting to NEW, OS setting to All.
Comment 2 QA Administrators 2015-04-01 14:40:24 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-04-21 17:39:29 UTC
Reproduced.

Whiteness can be cleared by ctrl-m clearing direct formatting for the part of the text.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha0+ (x64)
Build ID: 211c12b9c64facd1c12f637a5229bd6a6feb032a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-18_01:51:17
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2016-09-20 09:32:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920